org.eclipse.remote.core

## Class RemoteConnectionChangeEvent

- java.lang.Object
- - org.eclipse.remote.core.RemoteConnectionChangeEvent

    public class RemoteConnectionChangeEvent
    extends java.lang.Object

Event representing a change in connection status. The `getType()` method can be used to obtain information about the type of event that occurred.

Since:
  2.0

### Field Summary

Fields
`static int` `CONNECTION_ABORTED` Event indicating that the connection was closed abnormally.
`static int` `CONNECTION_ADDED` Event indicating the connection was added.
`static int` `CONNECTION_CLOSED` Event indicating that the connection was closed.
`static int` `CONNECTION_OPENED` Event indicating that the connection was opened.
`static int` `CONNECTION_REMOVED` Event indicating the connection is about to be removed.
`static int` `CONNECTION_RENAMED` Event indicating that the connection name will be changed.

### Constructor Summary

Constructors
Constructor and Description
`RemoteConnectionChangeEvent(IRemoteConnection connection, int type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IRemoteConnection` `getConnection()` Get the connection that has changed.
`int` `getType()` Returns the type of event being reported.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECTION_CLOSED

    public static final int CONNECTION_CLOSED

Event indicating that the connection was closed.

See Also:
  Constant Field Values

#### CONNECTION_OPENED

    public static final int CONNECTION_OPENED

Event indicating that the connection was opened.

See Also:
  Constant Field Values

#### CONNECTION_ABORTED

    public static final int CONNECTION_ABORTED

Event indicating that the connection was closed abnormally.

See Also:
  Constant Field Values

#### CONNECTION_RENAMED

    public static final int CONNECTION_RENAMED

Event indicating that the connection name will be changed. It is sent prior to the name change taking place. The event passes an IRemoteConnectionWorkingCopy so that the original and new name can be used by the listener.

See Also:
  Constant Field Values

#### CONNECTION_ADDED

    public static final int CONNECTION_ADDED

Event indicating the connection was added.

Since:
  2.0
See Also:
  Constant Field Values

#### CONNECTION_REMOVED

    public static final int CONNECTION_REMOVED

Event indicating the connection is about to be removed.

Since:
  2.0
See Also:
  Constant Field Values

### Constructor Detail

#### RemoteConnectionChangeEvent

    public RemoteConnectionChangeEvent(IRemoteConnection connection,
                                       int type)

### Method Detail

#### getConnection

    public IRemoteConnection getConnection()

Get the connection that has changed.

Returns:
  IRemoteConnection

#### getType

    public int getType()

Returns the type of event being reported. This type is obtained by bitwise OR'ing the event types together. `CONNECTION_CLOSED` `CONNECTION_OPENED` `CONNECTION_ABORTED` `CONNECTION_RENAMED`

Returns:
  a bitwise OR of event type constants